Subject: [TR] Part Needed

From: "James Henningsen" <[email-masked]>
Date: Tue, 29 Jul 2014 20:39:46 -0400

List:

I am determined to get to the VTR with a drivable TR6.  The new plan is put
my old tired stock 75K TR6 motor back in the car as my current engine is out
getting completely rebuilt and won't be ready L  .  The one part I can't
seem to find after moving twice is the late model stock intake.   Does
anyone have one that they would loan until I get back from VTR or available
to purchase for a reasonable price?  Please contact off list.  Thanks in
advance!

Jim Henningsen

62 TR4 x2 both not running 

75 TR6 Not running YET!

69 Land Rover (Triumph off road parts search and find vehicle)

** [email-masked] **

Archive: http://www.team.net/archive